Subject: Re: corruption in socket layer?
From: [email-masked] (Tim Newsham)

8 Oct 1997 02:47:25 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Sergey Okhapkin)
Cc: [email-masked], [email-masked]

> Tim Newsham wrote:
> > What I'm seeing is the tcp/ip stack behave improperly at
> > times.  For example sometimes a close() happens and not
> > FIN is sent out.  Instead the connection is silently placed
> > into the closed state.  On the next incoming packet from
> > the remote, the local TCP stack sends out an RST.
> > 
> > I see this behaviour in all the cygwin.dll's I have tried
> > it on, and am guessing that this problem has existed in
> > all versions of the dll (possibly a winsock bug).
> > 
> 
> Would you like to write a win32 native test suite for a problem not using cygwin.dll?

If I knew how to reproduce it I would, but I haven't yet been
able to reproduce it in any small test cases.  

> Sergey Okhapkin, http://www.lexa.ru/sos

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".